VistaIOCopy(3)

NAME
VistaIOCopy, VistaIOZero - copy or zero an array

SYNTAX
#include <vistaio.h>

void VistaIOCopy (from, to, nels)
    type *from, *to;
    size_t nels;

void VistaIOZero (array, nels)
    type *array;
    size_t nels;
where type is any C type.

ARGUMENTS

from, to, array
    Each specifies a pointer to the first element of an array of type.

nels
    Specifies the number of array elements.

DESCRIPTION
The VistaIOCopy macro copies nels array elements (each of type type) from from to to.

The VistaIOZero macro writes zeros into nels array elements (each of type type) beginning at array.

SEE ALSO